## org.apache.lucene.spatial.prefix.tree
Class QuadPrefixTree.Factory

    java.lang.Object
      org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory
          org.apache.lucene.spatial.prefix.tree.QuadPrefixTree.Factory

Enclosing class:
  QuadPrefixTree

    public static class QuadPrefixTree.Factory

extends SpatialPrefixTreeFactory

Factory for creating `QuadPrefixTree` instances with useful defaults

Field Summary

Fields inherited from class org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory
`args, ctx, MAX_DIST_ERR, MAX_LEVELS, maxLevels, PREFIX_TREE`

Constructor Summary
`QuadPrefixTree.Factory()`

Method Summary
`protected int` `getLevelForDistance(double degrees)` Calls `SpatialPrefixTree.getLevelForDistance(double)`.
`protected SpatialPrefixTree` `newSPT()`

Methods inherited from class org.apache.lucene.spatial.prefix.tree.SpatialPrefixTreeFactory
`init, initMaxLevels, makeSPT`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuadPrefixTree.Factory

    public QuadPrefixTree.Factory()

Method Detail

### getLevelForDistance

    protected int getLevelForDistance(double degrees)

  Description copied from class: `SpatialPrefixTreeFactory`
  Calls `SpatialPrefixTree.getLevelForDistance(double)`.

  Specified by:
    `getLevelForDistance` in class `SpatialPrefixTreeFactory`

### newSPT

    protected SpatialPrefixTree newSPT()

  Specified by:
    `newSPT` in class `SpatialPrefixTreeFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.